Developers

Change an endpoint’s event types

PATCH
/webhooks/endpoints/{endpointId}

Replaces the event types one Webhook Endpoint receives.

Authorization

headerAuthorizationBearer <token>

An API Key the User creates in account settings, sent as Authorization: Bearer <key>. It holds the Scopes chosen at creation.

Path Parameters

endpointId*string
Length1 <= length

Request Body

application/json
  1. body
eventTypes*array<>
Items1 <= items

Response Body

Success.

application/json
  1. response
id*string
url*string
eventTypes*array<>
status*string
Value in"unverified""active""disabled"
createdAt*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
updatedAt*string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
Formatdate-time
Example request
curl -X PATCH 'https://ximagesplitter.com/api/v1/webhooks/endpoints/string' \
  -H 'Content-Type: application/json' \
  -d '{
  "eventTypes": [
    "generation.queued"
  ]
}'
Example response
{
  "id": "string",
  "url": "string",
  "eventTypes": [
    "generation.queued"
  ],
  "status": "unverified",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}